# From: cbagwell@sprynet.com (Chris Bagwell)

# Makefile for "cal" 
#
# only tested with GNU gcc 

# To use, enter "make -f makefile.unx"

# normal default
DEFAULT_DATA_DIR="\"/files/home/ftp/pub/unicorn/pub/cal35/\""
#DEFAULT_DATA_DIR="\"/usr/lib/\""

RM=rm -f
CC=gcc

# Using -Wall will create some warnings on SunOS that can be ignored.
# CFLAGS=-O2 -Wall -DUNIX -DUSE_REMINDER -DPREFIX=$(DEFAULT_DATA_DIR)
CFLAGS=-O2 -Wall -DUNIX -DUSE_REMINDER

BINDIR=/usr/bin
MANDIR=/usr/man

default: cal

cal     : cal.c
	$(CC) $(CFLAGS) -o cal cal.c

cal.man : cal.1
	nroff -man cal.1 | col > cal.man

install: cal
	install -c -m 755 cal $(BINDIR)/cal
	install -c -m 644 cal.1 $(MANDIR)/man1/cal.1

clean:
	$(RM) cal

